unit Game0;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs;

type
  TGame = class
    constructor Create;
    procedure Run;
    destructor Free;
  end;

  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  Spiel: TGame;

implementation

{$R *.dfm}

constructor TGame.Create;
begin
end;

procedure TGame.Run;
begin
end;

destructor TGame.Free;
begin
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Spiel := TGame.Create;
end;

procedure TForm1.FormActivate(Sender: TObject);
begin
  Spiel.Run;
end;

end.
